### Method

# Xdp Portal spawn_finish

#### Declaration [src]

    pid_t
    xdp_portal_spawn_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the spawn request.

Returns the pid of the newly spawned process.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `pid_t`
| The pid of the spawned process.